# Contributing to a Globalization Pipeline SDK project

We welcome contributions but request that you follow these guidelines.

## Bugs

Please raise any bug reports on the project’s issue tracker.
Be sure to search the list to see if your issue has already been raised.

A good bug report is one that make it easy for us to understand what
you were trying to do and what went wrong. Also, provide as much
context as possible so we can try to recreate the issue.

Do not submit account credentials in bug report forms.

Use Bluemix support options within the Bluemix web page for customer
assistance with Bluemix, including the Globalization Pipeline service itself.

For general questions about Globalization Pipeline, you may also use the
StackOverflow tag [“globalization pipeline”](http://stackoverflow.com/questions/tagged/globalization-pipeline)

## New features

Please raise any new feature requests on the project's issue tracker.

## Pull requests

### Changes to existing code

If you want to raise a pull request with a new feature, or a refactoring of 
existing code, make sure to open an issue in the project's issue tracker 
first before engaging in serious development work. This will start a 
discussion and help in accepting the pull request.

### Coding standards

Please ensure you follow the coding standards used throughout the existing code base. Some basic rules include:

 - All files must have the Apache license in the header.
 - Indent with 4 spaces, not tabs.

### Contributor License Agreement

In order for us to accept pull requests, the contributor must first complete
a Contributor License Agreement (CLA). This clarifies the intellectual 
property license granted with any contribution. It is for your protection as a 
Contributor as well as the protection of IBM and its customers; it does not 
change your rights to use your own Contributions for any other purpose.

You can download the CLAs here:

 - [individual](https://github.com/IBM-Bluemix/gp-common/raw/master/legal/gp-cla-individual.pdf)
 - [corporate](https://github.com/IBM-Bluemix/gp-common/raw/master/legal/gp-cla-corporate.pdf)

If you are an IBMer, please contact us directly as the contribution process is
slightly different.

### Acknowledgement

- Master copy: https://github.com/IBM-Bluemix/gp-common/blob/master/CONTRIBUTING.md
- Copyright © 2016 IBM Corporation.
- This document forked from [wasdev](https://github.com/WASdev/wasdev.github.io/blob/master/CONTRIBUTING.md)
